# OGG

Read and write Ogg bitstreams and pages.

This module reads and writes a subset of the Ogg bitstream format version 0. It does not read or write Ogg Vorbis files! For that, you should use mutagen.oggvorbis.

This implementation is based on the RFC 3533 standard found at http://www.xiph.org/ogg/doc/rfc3533.txt.

class mutagen.ogg.OggFileType(filething)

  Bases: `FileType`

  An generic Ogg file.

  Parameters:

    filething (filething)

  load(filething)

    Load file information from a filename.

    Parameters:

      filething (filething)

    Raises:

      mutagen.MutagenError –

  delete(filething=None)

    Remove tags from a file.

    If no filename is given, the one most recently loaded is used.

    Parameters:

      filething (filething)

    Raises:

      mutagen.MutagenError –

  add_tags()

    Adds new tags to the file.

    Raises:

      mutagen.MutagenError – if tags already exist or adding is not possible.

  save(filething=None, padding=None)

    Save a tag to a file.

    If no filename is given, the one most recently loaded is used.

    Parameters:

      - filething (filething)

      - padding (`mutagen.PaddingFunction`)

    Raises:

      mutagen.MutagenError –